MIX_GetMixerProperties(3)

NAME
MIX_GetMixerProperties - Get the properties associated with a mixer.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

SDL_PropertiesID MIX_GetMixerProperties(MIX_Mixer *mixer);

DESCRIPTION
The following read-only properties are provided by SDL_mixer:

• MIX_PROP_MIXER_DEVICE_NUMBER: the SDL_AudioDeviceID that this mixer has opened for playback. This will be zero (no device) if the mixer was created with Mix_CreateMixer() instead of Mix_CreateMixerDevice().

FUNCTION PARAMETERS

mixer
    the mixer to query.

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.